﻿<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="~/assets/js/jquery.min.js"></script>
<script src="~/assets/js/popper.min.js"></script>
<script src="~/assets/js/bootstrap.min.js"></script>
<!-- Appear JavaScript -->
<script src="~/assets/js/jquery.appear.js"></script>
<!-- Select2 JavaScript -->
<script src="~/assets/js/select2.min.js"></script>
<!-- Magnific Popup JavaScript -->
<script src="~/assets/js/jquery.magnific-popup.min.js"></script>
<!-- DevExtreme library -->
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/dx.all.js"></script>
<script type="text/javascript">
			// console.log(data_json[0]);

			var _height_Window 	= $(window).height();
			var _height_Title 	= $('.iq-card-header').height();

			/* Config scroll table - Xoá comment để kích hoạt */
			var flag_fixed = false;
			$('#gridContainer').height(_height_Window - _height_Title - 80);
	
			function show_modal_message(response){
				console.log(response);
				$('#modal_Message').modal("show");
				$('#box_message_color').addClass(response.data.Color);
				$('#box_message_message').text(response.Message);
				setTimeout(function(){
					$('#modal_Message').modal("hide");
					$("#barcode").focus();
					$("#barcode").val('');
				},1000);

			}

			function check_barcode(){
				var code_nhanvien = $("#barcode").val();
				console.log(code_nhanvien);
				if(code_nhanvien == ""){
					$("#error_input").show();
				}else{
					$("#error_input").hide();

					$.ajax({
						 url: 'https://localhost:44366/api/staffapi/KiemSoatRaVao_CheckIn',
						type: 'POST',
						dataType: 'json',
						data: {
							key: code_nhanvien
						}
					}).done(function (response) {
						console.log("form_check_barcode: " + response);

						load_data_table();
					})
					.fail(function() {
						console.log("form_check_barcode - error");
					})
					.always(function(response) {
						console.log("complete",response);
						var response_demo = {
							data: {Color: 'bg-danger'},
							Message: "Message demo Message demoMessage demoMessage demoMessage demoMessage demoMessage demoMessage demoMessage demoMessage demo"
						};
						show_modal_message(response_demo);
						$("#barcode").focus();
					});
					
				}
				
			}

			$("#barcode").focus();
			$(".barcode").on('keyup', function (e) {
			    if (e.key === 'Enter' || e.keyCode === 13) {
			        check_barcode();
			    }
			});

			$("#form_check_barcode").on('submit', function(event) {
				event.preventDefault();
				check_barcode();
			});

			function load_data_table() {
				var NgayCheckIn = '@System.DateTime.UtcNow';
				$.ajax({
					 url: 'https://localhost:44366/api/staffapi/KiemSoatRaVao_LayDSCheckin',
					//url: '<?=base_url("frontend/data_json_kiem_soat_ra_vao");?>',
					type: 'POST',
                    data: { ngaycheckin: NgayCheckIn }
                    , success: function (data) {
						console.log(data);
                    }
                }) 
				.done(function(response) {
					console.log(response);

                    $("#gridContainer").dxDataGrid({
                        dataSource: JSON.parse(response),
						showBorders: true,
						showRowLines: true,
						paging: {
							enabled: false
						},
						columnAutoWidth: true,
						columnFixing: {
							enabled: true
						},
						columns:
							[
								{
									headerCellTemplate: function(container) {
										container.text('GIỜ QUÉT');
									},
									dataField: "GioQuet",
					            dataType: "date",
								},
								{
									headerCellTemplate: function(container) {
										container.text('HỌ TÊN');
									},
									dataField: "HoTen"
								},
								{
									headerCellTemplate: function(container) {
										container.text('NĂM SINH');
									},
									dataField: "NamSinh",
									alignment: "center",
								},
								{
									headerCellTemplate: function(container) {
										container.text('ĐƠN VỊ');
									},
									dataField: "DonViChiTiet"
								},
								{
									headerCellTemplate: function(container) {
										container.text('BỘ PHẬN');
									},
									dataField: "BoPhan"
								},
								{
									headerCellTemplate: function(container) {
										container.text('TRẠNG THÁI');
									},
									dataField: "TrangThai",
									alignment: "center",
                                    cellTemplate: function (container, options) {
                                        let label = '';
                                        if (options.value== 'Có nguy cơ mức I')
                                            label = '<div class="d-block p-2 badge bg-warning">' + options.value + '</div>';
										else
											label= '<div class="d-block p-2 badge badge-success">' + options.value + '</div>';
										$(container).html(label);
									}
								},
								{
									headerCellTemplate: function(container) {
										container.text('TỜ KHAI');
									},
									dataField: "LinkTKYT",
									alignment: "center",
									cellTemplate: function (container, options) {
										// console.log(options);
										let link = '<a href="'+options.value+'" target="_blank">Xem</a>';
										$(container).html(link);
									}
								}
                            ],
							showBorders: true,
							searchPanel: {
								visible: true,
								highlightCaseSensitive: true
							},
							headerFilter: {
								visible: true
							},
							loadPanel: {
								enabled: false
							},
							columnAutoWidth: true,
							scrolling: {
								useNative: true,
								scrollByContent: true,
								scrollByThumb: true,
								showScrollbar: "always" // or "onScroll" | "always" | "never"
							},
						onContentReady: function(e) {
						}
					});

				})
				.fail(function(error) {
					console.log("error", error);
				});
			}
			load_data_table();
</script>